#!/bin/sh
# -*- sh -*-
# This is not a joke! It's a shell script not Perl.
# This file is a wrapper around the original checksetup.pl Perl script to apply Debian's modifications.

set -e

export BUGZILLA_DATADIR="/var/lib/bugzilla3"
export BUGZILLA_SHAREDIR="/usr/share/bugzilla3"

debiandir="$BUGZILLA_SHAREDIR/debian/"
d="$debiandir/pre-checksetup.d"
echo "run-parts --exit-on-error --lsbsysinit $d"
test -d "$d" && run-parts --verbose --exit-on-error --lsbsysinit "$d"

perl /usr/share/bugzilla3/lib/checksetup_nondebian.pl $* | \
	sed -e 's,/usr/bin/perl .*install-module\.pl "Template::Plugin::GD::Image".*,apt-get install libtemplate-plugin-gd-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl HTML::Scrubber.*,apt-get install libhtml-scrubber-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl mod_perl2.*,apt-get install libapache2-mod-perl2,g' \
	    -e 's,/usr/bin/perl install-module.pl MIME::Parser.*,apt-get install libmime-tools-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl CGI.*,apt-get install libcgi-pm-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl SOAP::Lite.*,apt-get install libsoap-lite-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl Chart::Base.*,apt-get install libchart-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl GD.*,apt-get install libgd-gd2-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl GD::Text.*,apt-get install libgd-text-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl GD::Graph.*,apt-get install libgd-graph-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl XML::Twig.*,apt-get install libxml-twig-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl LWP::UserAgent.*,apt-get install libwww-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl Image::Magic.*,apt-get install perlmagic,g' \
	    -e 's,/usr/bin/perl install-module.pl Net::LDAP.*,apt-get install libnet-ldap-perl,g' \
	    -e 's,/usr/bin/perl install-module.pl HTML::Parser.*,apt-get install libhtml-parser-perl,g'

# update all the bugzilla sites
if [ -d /etc/bugzilla3/sites ]; then
	for site in `cd /etc/bugzilla3/sites/ && ls -1`; do 
		echo "Running checksetup.pl for site: $site"
		X_BUGZILLA_SITE="$site" perl /usr/share/bugzilla3/lib/checksetup_nondebian.pl $*
	done
fi

d="$debiandir/post-checksetup.d"
echo "run-parts --exit-on-error --lsbsysinit $d"
test -d "$d" && run-parts --verbose --exit-on-error --lsbsysinit "$d"

exit 0
